Error when loading default data to SQL

2013-05-24 13:48 - Andrew Dugrenier

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.1

Description

I'm Running on a Windows Server.

Redmine V2.3.1

Ruby 1.8.7

MS SQL Server 2008R2

everything seems to be installing OK.

after running rake db:migrate, I ran rake redmine:load_defautl_data

I received the error message:

Error: TinyTds::Error: Invalid column name 'builtin'. EXEC sp_executesql N'SELECT

TOP (1) 1 AS one FROM [roles] WHERE [roles].[builtin] = 0'

default configuration data not loaded.

History

#1 - 2013-05-24 14:05 - Daniel Felix

Did you run db:migrate without error?

Any Plugins installed?

#2 - 2013-05-24 14:05 - Daniel Felix

- Priority changed from High to Normal

#3 - 2013-05-24 14:11 - Andrew Dugrenier

Yes, migrate ran without error.

I followed the installation specified and everything ran ok up to the default data install.

#4 - 2013-05-24 14:11 - Andrew Dugrenier

No plug-ins.

#5 - 2013-06-01 10:52 - Jean-Philippe Lang

Please, give the full output of rake redmine:load_default_data --trace

#6 - 2013-06-01 10:52 - Jean-Philippe Lang

- Status changed from New to Needs feedback

#7 - 2013-06-03 17:04 - Andrew Dugrenier

- File production.log added

- File development.log added

log files attached.

#8 - 2013-07-15 22:59 - Andrew Dugrenier

OK,

I loaded a different computer with the windows version and got redmine 2.3.1-1 running. The database initialized OK.

On the old virtual machine version 1.3.2-0 I backed up the mysql database, copied all the apps/redmine/files files.

On the new machine with 2.3.1-1 I used the PHPMyAdmin to import the sql data to the bitnami_redmine database. I placed the copied redmine files in

the apps/redmine/htdocs/files folder.

Now I can see my projects, but the files,tasks and calander etc do not work.

Can anyone help?
#9 - 2013-07-16 08:24 - Etienne Massip

Andrew Dugrenier wrote:

OK,

I loaded a different computer with the windows version and got redmine 2.3.1-1 running. The database initialized OK.

On the old virtual machine version 1.3.2-0 I backed up the mysql database, copied all the apps/redmine/files files.

On the new machine with 2.3.1-1 I used the PHPMyAdmin to import the sql data to the bitnami_redmine database. I placed the copied redmine

files in the apps/redmine/htdocs/files folder.

Now I can see my projects, but the files,tasks and calander etc do not work.

Can anyone help?

That's not the right way to do this:

copy your old DB to new Redmine instance

upgrade your new DB using rake db:migrate RAILS_ENV=production

If you create a new DB then import old data you'll miss some of the DB upgrade with migration, specifically the one concerning data.

Please read RedmineUpgrade.

#10 - 2013-07-16 15:44 - Andrew Dugrenier

The upgrade document concerns upgrading on the current machine.

In my case I have 2 computers:

One is running a Virtual Machine version Redmine 1.2.3-0 with an Ubanutu op system.

The second is a Windows op system with a Windows install of Redmine 2.3.1-1

Copying the redmine files is no problem, but will the migrate be the same? How would it know where to get the data from? I backed up the mysql

database to a backup.sql file.

Thanks,

Andy

#11 - 2018-09-15 03:57 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Files

production.log 2.06 KB 2013-06-03 Andrew Dugrenier

development.log 38.7 KB 2013-06-03 Andrew Dugrenier
